Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.groupJep.groups
Class PermutationGroup

    java.lang.Object
      org.lsmp.djep.groupJep.groups.Group
          org.lsmp.djep.groupJep.groups.PermutationGroup

All Implemented Interfaces:
  GroupI, HasListI

    public class PermutationGroup

extends Group
implements GroupI, HasListI

The group of permutations. TODO not sure if this works, not really tested.

Author:
  Rich Morris
See Also:
  `Created on 15-Mar-2004`

Field Summary
`protected Permutation` | `zeroPerm`

Constructor Summary
`PermutationGroup(int n)`

Method Summary
`java.lang.Number` | `add(java.lang.Number a, java.lang.Number b)` Get sum of the numbers
`boolean` | `equals(java.lang.Number a, java.lang.Number b)` whether two numbers are equal
`java.lang.Number` | `getInverse(java.lang.Number a)` Get Inverse of a number
`java.lang.Number` | `getZERO()` Returns the identity element under +
`java.lang.Number` | `list(java.lang.Number[] eles)`
`java.lang.Number` | `sub(java.lang.Number a, java.lang.Number b)` Get the difference of the numbers.
`java.lang.Number` | `valueOf(java.lang.Number[] eles)`
`java.lang.Number` | `valueOf(java.lang.String s)` returns number given by the string

Methods inherited from class org.lsmp.djep.groupJep.groups.Group
`addStandardConstants, addStandardFunctions, getNumberFactory, isConstantPoly, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.lsmp.djep.groupJep.GroupI
`addStandardConstants, addStandardFunctions, getNumberFactory, isConstantPoly`

Field Detail

### zeroPerm

    protected Permutation zeroPerm

Constructor Detail

### PermutationGroup

    public PermutationGroup(int n)

Method Detail

### getZERO

    public java.lang.Number getZERO()

  Description copied from interface: `GroupI`
  Returns the identity element under +

  Specified by:
    `getZERO` in interface `GroupI`

### getInverse

    public java.lang.Number getInverse(java.lang.Number a)

  Description copied from interface: `GroupI`
  Get Inverse of a number

  Specified by:
    `getInverse` in interface `GroupI`

### add

    public java.lang.Number add(java.lang.Number a,
                                java.lang.Number b)

  Description copied from interface: `GroupI`
  Get sum of the numbers

  Specified by:
    `add` in interface `GroupI`

### sub

    public java.lang.Number sub(java.lang.Number a,
                                java.lang.Number b)

  Description copied from interface: `GroupI`
  Get the difference of the numbers. i.e. a + (-b)

  Specified by:
    `sub` in interface `GroupI`

### equals

    public boolean equals(java.lang.Number a,
                          java.lang.Number b)

  Description copied from interface: `GroupI`
  whether two numbers are equal

  Specified by:
    `equals` in interface `GroupI`

### valueOf

    public java.lang.Number valueOf(java.lang.String s)

  Description copied from interface: `GroupI`
  returns number given by the string

  Specified by:
    `valueOf` in interface `GroupI`

### valueOf

    public java.lang.Number valueOf(java.lang.Number[] eles)

### list

    public java.lang.Number list(java.lang.Number[] eles)

  Specified by:
    `list` in interface `HasListI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems